'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var lezer$1 = require('@lezer/lezer');
var language = require('@codemirror/language');

/**
A language provider based on the [Lezer Lezer
parser](https://github.com/lezer-parser/lezer-grammar), extended
with highlighting and indentation information.
*/
const lezerLanguage = language.LRLanguage.define({
    parser: lezer$1.parser.configure({
        props: [
            language.foldNodeProp.add({
                "Body TokensBody SkipBody PrecedenceBody": language.foldInside
            })
        ]
    }),
    languageData: {
        commentTokens: { block: { open: "/*", close: "*/" }, line: "//" },
        indentOnInput: /^\s*\}$/
    }
});
/**
Language support for Lezer grammars.
*/
function lezer() {
    return new language.LanguageSupport(lezerLanguage);
}

exports.lezer = lezer;
exports.lezerLanguage = lezerLanguage;
